Kling V2.6 - Text to Video
kling-v2-6-t2v
Advanced text-to-video generation with voice synthesis support and enhanced creative control.
API Notes
Section titled “API Notes”kling-v2-6-t2v only supports video with sound when mode is pro and sound is on.
Endpoints
Section titled “Endpoints”POST /v1/queue/kling-v2-6-t2v # Create taskGET /v1/queue/kling-v2-6-t2v/requests/{request_id}/status # Check statusGET /v1/queue/kling-v2-6-t2v/requests/{request_id}/response # Get resultPUT /v1/queue/kling-v2-6-t2v/requests/{request_id}/cancel # Cancel taskRequest parameters
Section titled “Request parameters”curl --request 'POST' 'https://odirouter.ai/model/v1/queue/kling-v2-6-t2v' \ --header 'Authorization: Bearer YOUR_API_KEY' \ --header 'Content-Type: application/json' \ --location \ --data-raw '{ "prompt": "A cinematic drone shot over a misty mountain range at sunrise", "negative_prompt": "blurry, low quality, distorted", "sound": "on", "cfg_scale": 0.5, "mode": "pro"}'Video generation prompt, maximum 2500 characters
Negative text prompt, maximum 2500 characters
Whether to generate sound simultaneously when generating video
Note: Only supported when mode is pro
Options: on, off
Default: off
Video generation mode
std: Standard mode with high cost-effectiveness
pro: Professional mode, takes longer to generate videos but produces higher quality output
Options: std, pro
Default: std
Video aspect ratio (width:height)
Options: 16:9, 9:16, 1:1
Default: 16:9
Video duration in seconds
Options: 5, 10
Default: 5
Whether to generate results with watermarks simultaneously
Defined via the enabled parameter, specific format as follows:
"watermark_info": {
"enabled": boolean // true for generation, false for no generation
}
Custom watermarks are not currently supported
Callback notification address for this task result. If configured, the server will actively notify when the task status changes
Custom task ID
User-defined task ID, will not overwrite the system-generated task ID when provided, but supports task query via this ID
Please note that uniqueness must be ensured under a single user
Response parameters
Section titled “Response parameters”{ "request_id": "task_01hxyz...", "response_url": "https://odirouter.ai/model/v1/queue/kling-v2-6-t2v/requests/task_01hxyz.../response", "status_url": "https://odirouter.ai/model/v1/queue/kling-v2-6-t2v/requests/task_01hxyz.../status", "cancel_url": "https://odirouter.ai/model/v1/queue/kling-v2-6-t2v/requests/task_01hxyz.../cancel", "queue_position": 0}| Field | Type | Description |
|---|---|---|
request_id | string | Task ID used for all follow-up operations. |
response_url | string | URL to fetch the final result. |
status_url | string | URL to query task status. |
cancel_url | string | URL to cancel the task. |
queue_position | int | Current queue position. |